<script setup lang="ts">
    import { useMsal } from '@/plugins/msal/useMsal'
    import { computed } from 'vue'

    const msal = useMsal()

    const displayName = computed(() => {
        if (msal.accounts.value.length > 0) {
            const name = msal.accounts.value[0].name
            if (name) {
                return name
            }
        }
        return ''
    })

    const signOut = () => {
        msal.instance.logoutRedirect({ postLogoutRedirectUri: '/' })
    }
</script>

<template>
    <div v-if="$vuetify.display.xs" class="text-center font-weight-bold">
        <p data-cy="logged-in-display-name">{{ displayName }}</p>
        <v-divider class="my-3"></v-divider>
    </div>
    <v-btn
        prepend-icon="mdi-logout"
        variant="text"
        color="gray"
        @click="signOut"
    >
        <p>Déconnexion</p>
    </v-btn>
</template>
